CVE-2003-0777

NameCVE-2003-0777
Descriptionsaned in sane-backends 1.0.7 and earlier, when debug messages are enabled, does not properly handle dropped connections, which can prevent strings from being null terminated and cause a denial of service (segmentation fault).
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-379
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
sane-backends (PTS)jessie1.0.24-8+deb8u2fixed
jessie (security)1.0.24-8+deb8u3fixed
stretch1.0.25-4.1fixed
bullseye, sid, buster1.0.27-3.2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
sane-backendssource(unstable)1.0.11-1
sane-backendssourcewoody1.0.7-4DSA-379

Search for package or bug name: Reporting problems